Subject: Re: [PATCH] git-send-email: Generalize auto-cc recipient mechanism.

From: David Brown <[email-masked]>
Date: Tue, 25 Dec 2007 21:32:21 -0800

On Tue, Dec 25, 2007 at 11:54:38PM -0500, Sean wrote:

>But i wonder about the case where a user has "sendemail.suppresscc = all" in their
>~/.gitconfig.   For the occasion when they do want to cc the author of
>a patch, what do they do?  The above UI seems to lack a way to enable a cc option
>that has been disabled by default.

Well, in that instance, --no-suppress-from would override that, if I did it
right.  Perhaps we could add an unsuppress-cc option, but then the whole
thing is starting to get more complicated than I think it really needs to
be.

My suggestion would be to keep this patch as is, and if the people using it
decide they want the override option, we/I can figure out how to add it.

Dave